Subject: [L2tpext] draft-ietf-l2tpext-pwe3-hdlc-05.txt

From: Carlos Pignataro <[email-masked]>
Date: Fri, 03 Jun 2005 06:59:22 -0400

Working group,

The IETF LC comments to draft-ietf-l2tpext-pwe3-hdlc-05.txt resulted in
clarifications to Section 4.1. All the IETF LC changes have been
incorporated, and the relevant modifications (besides new RFC3978/3979
boiler, dates) are included at the end of this email (since they are
localized to one paragraph).

I will be submitting a new draft revision with these next Monday.

@@ -329,11 +329,32 @@

    Since all packets are passed in a largely transparent manner over the
    HDLC PW, any protocol which has HDLC-like framing may utilize the
-   HDLC PW mode, including PPP, Frame-Relay, X.25, etc. Exceptions
-   include cases where direct access to the HDLC interface is required,
-   or modes which operate on the flags, FCS, or bit/byte unstuffing that
-   is performed before sending the HDLC PDU over the PW. An example of
-   this is PPP ACCM negotiation.
+   HDLC PW mode, including PPP, Frame-Relay ("port to port" Frame-Relay
+   transport), X.25 (LAPB), etc.  In such cases, the negotiations and
+   signaling of the specific protocols transported over the HDLC PW take
+   place between the Remote Systems.  A non-exhaustive list of examples
+   and considerations of this transparent nature include:
+
+      o When the HDLC PW transports Point-to-Point Protocol (PPP)
+        traffic, PPP negotiations (Link Control Protocol, optional
+        authentication, and Network Control Protocols) are performed
+        between Remote Systems, and LCCEs do not participate in these
+        negotiations.
+
+      o When the HDLC PW transports Frame-Relay traffic, PVC status
+        management procedures (Local Management Interface) take place
+        between Remote Systems, and LCCEs do not participate in LMI.
+        Additionally, individual Frame-Relay virtual-circuits are not
+        visible to the LCCEs and the FECN, BECN and DE bits are
+        transported transparently.
+
+      o When the HDLC PW transports X.25 (LAPB) traffic, LCCEs do not
+        function as either LAPB DCE or DTE devices.
+
+   On the other hand, exceptions include cases where direct access to
+   the HDLC interface is required, or modes which operate on the flags,
+   FCS, or bit/byte unstuffing that is performed before sending the HDLC
+   PDU over the PW. An example of this is PPP ACCM negotiation.

 4.2 Data Packet Sequencing

@@ -417,7 +436,9 @@
 7. Acknowledgments

    Thanks to Sudhir Rustogi and George Wilkie for valuable input.  Maria
-   Alice Dos Santos provided helpful review and comment.
+   Alice Dos Santos provided helpful review and comment. Many thanks to
+   Mark Lewis for providing review and clarifying comments during IETF
+   Last Call.

 8. References

Thanks,

-- 
--Carlos.
Escalation RTP - cisco Systems

_______________________________________________
L2tpext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l2tpext